  	<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************
 * $Id: UnifiedSearch.php,v 1.19 2005/02/09 07:08:54 andrew Exp $
 * Description:  TODO: To be written.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

require_once('include/logging.php');
require_once('modules/Contacts/Contact.php');
require_once('modules/Accounts/Account.php');
require_once('modules/Opportunities/Opportunity.php');
require_once('modules/Cases/Case.php');
require_once('modules/Leads/Lead.php');
global $mod_strings;

//main
echo get_module_title("Search", "Search Results", true); 
echo "\n<BR>\n";
if(isset($_REQUEST['query_string']) && preg_match("/[\w]/", $_REQUEST['query_string'])) {

	//get contacts
	$where = Contact::build_generic_where_clause($_REQUEST['query_string']);
	echo "<table><td><tr>\n";
	include ("modules/Contacts/ListView.php");

	//get accounts
	$where = Account::build_generic_where_clause($_REQUEST['query_string']);
	echo "<table><td><tr>\n";
	include ("modules/Accounts/ListView.php");

	//get leads
	$where = Lead::build_generic_where_clause($_REQUEST['query_string']);
	echo "<table><td><tr>\n";
	include ("modules/Leads/ListView.php");

	//get opportunities
	$where = Opportunity::build_generic_where_clause($_REQUEST['query_string']);
	echo "<table><td><tr>\n";
	include ("modules/Opportunities/ListView.php");









	//get cases
	$where = aCase::build_generic_where_clause($_REQUEST['query_string']);
	echo "<table><td><tr>\n";
	include ("modules/Cases/ListView.php");
}
else {
	echo "<br><br><em>".$mod_strings['ERR_ONE_CHAR']."</em>";
	//echo "</td></tr></table>\n";
}


?>
